Subject: [PATCH 07/22] arm64: Keep track of CPU feature registers

From: [email-masked] (Suzuki K. Poulose)
Date: Fri, 25 Sep 2015 14:05:52 +0100

On 25/09/15 12:38, Dave P Martin wrote:
> On Wed, Sep 16, 2015 at 03:21:05PM +0100, Suzuki K. Poulose wrote:
>> From: "Suzuki K. Poulose" <[email-masked]>
>>
>> This patch adds an infrastructure to keep track of the CPU feature
>> registers on the system. For each register, the infrastructure keeps
>> track of the system wide safe value of the feature bits. Also, tracks
>> the which fields of a register should be matched strictly across all
>> the CPUs on the system for the SANITY check infrastructure.
>>
>> The feature bits are classified as one of SCALAR_MIN, SCALAR_MAX and DISCRETE
>> depending on the implication of the possible values. This information
>> is used to decide the safe value for a feature.
>>
>> SCALAR_MIN - The smaller value is safer
>> SCALAR_MAX - The bigger value is safer
>> DISCRETE - We can't decide between the two, so a predefined safe_value is used.
>
> Can documentation of the meanings of these be added somewhere in the
> relevant header or in Documentation?

Sure. They were part of the initial draft and eventually lost them over the
reworks. I will add them back, since there is wider use of the information
across the system, from what I started with(i.e, Userspace visibility).

Cheers
Suzuki